WarpBuild LogoWarpBuild Docs
Runners

GET /runner_pool

Lists all runner pools for the authenticated organization. Runner pools allow you to configure warm pools of pre-provisioned runner instances for faster job startup times. A pool maintains a specified number of idle runner instances ready to be allocated immediately when a job is queued.

GET
/runner_pool
Authorization<token>

In: header

Query Parameters

runner_set_id*string

runner set id

Response Body

application/json

application/json

curl -X GET "https://api.warpbuild.com/api/v1/runner_pool?runner_set_id=string"
{
  "items": [
    {
      "created_at": "string",
      "id": "string",
      "provider": "string",
      "runner_set_id": "string",
      "size": 0,
      "updated_at": "string"
    }
  ]
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}